Package com.sun.jna.platform.win32

# Class Advapi32Util.EnumKey

java.lang.Object
com.sun.jna.platform.win32.Advapi32Util.EnumKey

Enclosing class:
  Advapi32Util

public static class Advapi32Util.EnumKey extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwIndex`
  `WinReg.HKEY`
  `hKey`
  `IntByReference`
  `lpcbClass`
  `char[]`
  `lpClass`
  `IntByReference`
  `lpcName`
  `WinBase.FILETIME`
  `lpftLastWriteTime`
  `char[]`
  `lpName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumKey()`
  `EnumKey(WinReg.HKEY hKey, int dwIndex)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hKey

    public WinReg.HKEY hKey

  - ### dwIndex

    public int dwIndex

  - ### lpName

    public char[] lpName

  - ### lpcName

    public IntByReference lpcName

  - ### lpClass

    public char[] lpClass

  - ### lpcbClass

    public IntByReference lpcbClass

  - ### lpftLastWriteTime

    public WinBase.FILETIME lpftLastWriteTime

- ## Constructor Details

  - ### EnumKey

    public EnumKey()

  - ### EnumKey

    public EnumKey(WinReg.HKEY hKey, int dwIndex)